Adds a circle curve that is tangent to 3 curves to the document.
Rhino.AddCircleTanTanTan (strCurve1, strCurve2, strCurve3 [, dblSeed1 [, dblSeed2 [, dblSeed3]]])
strCurve1 |
Required. String. The identifier of the first curve object. |
strCurve2 |
Required. Array. The identifier of the second curve object. |
strCurve3 |
Required. Array. The identifier of the third curve object. |
dblSeed1 |
Optional. Number. A 'seed' parameter on the first curve object. If omitted, the parameter at the start of the curve is used. |
dblSeed2 |
Optional. Number. A 'seed' parameter on the second curve object. If omitted, the parameter at the start of the curve is used. |
dblSeed3 |
Optional. Number. A 'seed' parameter on the third curve object. If omitted, the parameter at the start of the curve is used. |
String |
The identifier of the new object if successful. |
Null |
If not successful, or on error. |
Dim arrCurve1, arrCurve2, arrCurve3
arrCurve1 = Rhino.GetCurveObject("First curve")
arrCurve2 = Rhino.GetCurveObject("Second curve")
arrCurve3 = Rhino.GetCurveObject("Third curve")
Call Rhino.AddCircleTanTanTan(arrCurve1(0), arrCurve2(0), arrCurve3(0), arrCurve1(4), arrCurve2(4), arrCurve3(4))